<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$_CUR = 'brand';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 图片上传
include_once (ROOT_PATH . 'include/file.class.php');
$file = new File('images/brand/'); // 实例化类文件(文件上传路径，结尾加斜杠)

// 赋值给模板
$smarty->assign('rec', $rec);

/**
 * +----------------------------------------------------------
 * 品牌列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['brand']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['brand_add'],
            'href' => 'brand.php?rec=add' 
    ));
    
    // 获取参数
    $keyword = isset($_REQUEST['keyword']) ? trim($_REQUEST['keyword']) : '';
 
    if ($keyword) {
        $where = " WHERE name LIKE '%$keyword%'";
        $get = '&keyword=' . $keyword;
    }
 
    // 排序
    $sort = $_OPEN['sort'] ? "sort ASC, " : '';
    
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('brand') . $where . " ORDER BY " . $sort . "id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, 'brand.php', $get);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $add_time = date("Y-m-d", $row['add_time']);
        
        $brand_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "image" => $dou->dou_file($row['image']),
                "sort" => $row['sort'],
                "add_time" => $add_time 
        );
    }
    
    // 赋值给模板
    $smarty->assign('keyword', $keyword);
    $smarty->assign('brand_list', $brand_list);
    
    $smarty->display('brand.htm');
} 

/**
 * +----------------------------------------------------------
 * 品牌添加
 * +----------------------------------------------------------
 */
elseif ($rec == 'add') {
    $smarty->assign('ur_here', $_LANG['brand_add']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['brand'],
            'href' => 'brand.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'insert');
    $smarty->assign('item_id', $dou->auto_id('brand'));
    $smarty->assign('brand', $brand);
    $smarty->assign('btn_lang', $dou->btn_lang('brand', $id, 'name, content, keywords, description'));
    
    $smarty->display('brand.htm');
} 

elseif ($rec == 'insert') {
    // 验证标题
    if (empty($_POST['name'])) $dou->dou_msg($_LANG['brand_name'] . $_LANG['is_empty']);
    
    // 文件上传盒子
    $image = $file->box('brand', $dou->auto_id('brand'), 'image', 'main');

    // 数据格式化
    $add_time = time();
        
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
    
    $sql = "INSERT INTO " . $dou->table('brand') . " (id, name, content, image ,keywords, description, sort, add_time)" . " VALUES (NULL, '$_POST[name]', '$_POST[content]', '$image', '$_POST[keywords]', '$_POST[description]', '$_POST[sort]', '$add_time')";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['brand_add'] . ': ' . $_POST['name']);
    $dou->dou_msg($_LANG['brand_add_succes'], 'brand.php');
} 

/**
 * +----------------------------------------------------------
 * 品牌编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    $smarty->assign('ur_here', $_LANG['brand_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['brand'],
            'href' => 'brand.php' 
    ));
    
    // 验证并获取合法的ID
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : '';
    
    $brand = $dou->get_row('brand', '*', "id = '$id'");
    
    // 格式化数据
    $brand['image'] = $dou->dou_file($brand['image']);
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'update');
    $smarty->assign('item_id', $id);
    $smarty->assign('item_content', $brand['content']);
    $smarty->assign('brand', $brand);
    $smarty->assign('btn_lang', $dou->btn_lang('brand', $id, 'name, content, keywords, description'));
    
    $smarty->display('brand.htm');
} 

elseif ($rec == 'update') {
    // 验证并获取合法的ID
    $id = $check->is_number($_POST['id']) ? $_POST['id'] : '';
    
    // 验证标题
    if (empty($_POST['name'])) $dou->dou_msg($_LANG['brand_name'] . $_LANG['is_empty']);
        
    // 文件上传盒子
    $image = $file->box('brand', $id, 'image', 'main');
    $image = $image ? ", image = '" . $image . "'" : '';
    
    // 格式化自定义参数
    $_POST['defined'] = str_replace("\r\n", ',', $_POST['defined']);
    
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
    
    $sql = "UPDATE " . $dou->table('brand') . " SET name = '$_POST[name]', content = '$_POST[content]'" . $image . ", keywords = '$_POST[keywords]', description = '$_POST[description]', sort = '$_POST[sort]' WHERE id = '$id'";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['brand_edit'] . ': ' . $_POST['name']);
    $dou->dou_msg($_LANG['brand_edit_succes'], 'brand.php');
}

/**
 * +----------------------------------------------------------
 * 品牌删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的ID
    $id = $check->is_number($_REQUEST['id']) ? $_REQUEST['id'] : $dou->dou_msg($_LANG['illegal'], 'brand.php');
    $name = $dou->get_one("SELECT name FROM " . $dou->table('brand') . " WHERE id = '$id'");
    
    if (isset($_POST['confirm'])) {
        // 删除相应商品图片
        $image = $dou->get_one("SELECT image FROM " . $dou->table('brand') . " WHERE id = '$id'");
        $dou->del_file($image);
     
        // 删除对应语言项
        if ($_OPEN['language'])
            $dou->del_lang_value('brand', $id);
        
        $dou->create_admin_log($_LANG['brand_del'] . ': ' . $name);
        $dou->delete('brand', "id = $id", 'brand.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $name, $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'brand.php', '', '30', "brand.php?rec=del&id=$id");
    }
} 

/**
 * +----------------------------------------------------------
 * 批量操作选择
 * +----------------------------------------------------------
 */
elseif ($rec == 'action') {
    if (is_array($_POST['checkbox'])) {
        if ($_POST['action'] == 'del_all') {
            // 批量品牌删除
            $dou->del_all('brand', $_POST['checkbox'], 'id', 'image');
        } else {
            $dou->dou_msg($_LANG['select_empty']);
        }
    } else {
        $dou->dou_msg($_LANG['brand_select_empty']);
    }
}

/**
 * +----------------------------------------------------------
 * 首页显示筛选
 * +----------------------------------------------------------
 */
elseif ($rec == 'sort') {
    // act操作项的初始化
    $act = $check->is_rec($_REQUEST['act']) ? $_REQUEST['act'] : '';
 
    $dou->sort_box('brand', $act, $id);
    $dou->dou_header($_SERVER['HTTP_REFERER']); // 跳转到上一页面
}

?>